Bug 2136471 - Settings crashes when trying to edit WPA2 Enterprise wifi without a stored password
Summary: Settings crashes when trying to edit WPA2 Enterprise wifi without a stored pa...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-control-center
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: gnome-sig
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException AcceptedBlocker
Depends On:
Blocks: F37FinalBlocker F37FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2022-10-20 11:26 UTC by Kamil Páral
Modified: 2022-10-24 17:51 UTC (History)
5 users (show)

Fixed In Version: gnome-control-center-43.0-2.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-10-24 17:51:02 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab GNOME gnome-control-center issues 1905 0 None opened segfault when opening a PEAP wireless connection without stored password 2022-10-20 11:26:31 UTC

Description Kamil Páral 2022-10-20 11:26:31 UTC
This bug is created just for a blocker-related discussion. Please read the bug here:
https://gitlab.gnome.org/GNOME/gnome-control-center/-/issues/1905

This type of wifi connections are likely to be used in companies, like Red Hat. Proposing for a blocker discussion.

Comment 1 Adam Williamson 2022-10-21 18:18:43 UTC
We have at least enough votes in https://pagure.io/fedora-qa/blocker-review/issue/981 to make this clearly accepted as an FE, so I'm doing that, so we can pull in a fix when doing a compose if we get one. Blocker vote is still ongoing.

Comment 2 Fedora Update System 2022-10-21 20:24:35 UTC
FEDORA-2022-cd06414b15 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-cd06414b15

Comment 3 Fedora Update System 2022-10-22 13:12:15 UTC
FEDORA-2022-cd06414b15 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-cd06414b15`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-cd06414b15

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Kamil Páral 2022-10-24 08:47:00 UTC
(In reply to Fedora Update System from comment #2)
> FEDORA-2022-cd06414b15 has been submitted as an update to Fedora 37.
> https://bodhi.fedoraproject.org/updates/FEDORA-2022-cd06414b15

Fixed it.

Comment 5 Geoffrey Marr 2022-10-24 16:22:29 UTC
Discussed during the 2022-10-24 blocker review meeting:

The decision to classify this bug as an "AcceptedBlocker (Final)" was made as, while there's some disagreement, there's a majority of 3 for accepting this as a violation of the "basic functionality" requirement for the control center.

Comment 6 Fedora Update System 2022-10-24 17:51:02 UTC
FEDORA-2022-cd06414b15 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.